summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Christophe Trussardi <chris@teria.org>2011-09-27 22:47:41 -0500
committer Niels Horn <niels.horn@slackbuilds.org>2011-09-29 19:02:31 -0300
commit847578bf921b9b4b20c3d257d6267084a2bafa95 (patch)
tree57f6cdafaed73771e880c6e402bccbb42eaa9379
parent58d4d10951b760a7c72409cf28eff7739452b77e (diff)
downloadslackbuilds-847578bf921b9b4b20c3d257d6267084a2bafa95.tar.gz
slackbuilds-847578bf921b9b4b20c3d257d6267084a2bafa95.tar.xz
libraries/librelp: Added (a reliable logging library)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--libraries/librelp/README6
-rw-r--r--libraries/librelp/librelp.SlackBuild77
-rw-r--r--libraries/librelp/librelp.info10
-rw-r--r--libraries/librelp/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/libraries/librelp/README b/libraries/librelp/README
new file mode 100644
index 0000000000..525d5a16df
--- /dev/null
+++ b/libraries/librelp/README
@@ -0,0 +1,6 @@
+librelp is an easy to use library for the RELP protocol.
+RELP in turn provides reliable event logging over the network
+(and consequently RELP stands for Reliable Event Logging Protocol).
+RELP was initiated by Rainer Gerhards after he was finally upset by
+the lossy nature of plain tcp syslog and wanted a cure for all these
+dangling issues.
diff --git a/libraries/librelp/librelp.SlackBuild b/libraries/librelp/librelp.SlackBuild
new file mode 100644
index 0000000000..a11d82a71b
--- /dev/null
+++ b/libraries/librelp/librelp.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+#
+# Slackware build script for librelp
+# Written by Christophe Trussardi (chris at teria dot org)
+#
+
+PRGNAM=librelp
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/*.html $PKG/usr/doc/$PRGNAM-$VERSION/html
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 0644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/librelp/librelp.info b/libraries/librelp/librelp.info
new file mode 100644
index 0000000000..8195b6f3c5
--- /dev/null
+++ b/libraries/librelp/librelp.info
@@ -0,0 +1,10 @@
+PRGNAM="librelp"
+VERSION="1.0.0"
+HOMEPAGE="http://www.librelp.com/"
+DOWNLOAD="http://download.rsyslog.com/librelp/librelp-1.0.0.tar.gz"
+MD5SUM="0b8820f8da639a00c75f5cc8f5d21919"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Christophe Trussardi"
+EMAIL="chris@teria.org"
+APPROVED="rworkman"
diff --git a/libraries/librelp/slack-desc b/libraries/librelp/slack-desc
new file mode 100644
index 0000000000..508c6a78c0
--- /dev/null
+++ b/libraries/librelp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------|
+librelp: librelp (a reliable logging library)
+librelp:
+librelp: librelp is an easy to use library for the RELP protocol.
+librelp: RELP in turn provides reliable event logging over the network
+librelp: (and consequently RELP stands for Reliable Event Logging
+librelp: Protocol). RELP was initiated by Rainer Gerhards after he
+librelp: was finally upset by the lossy nature of plain tcp syslog
+librelp: and wanted a cure for all these dangling issues.
+librelp:
+librelp: Homepage: http://www.librelp.com/
+librelp: